Opened 3 years ago

Closed 3 years ago

#12655 closed bug (invalid)

Enable libmp3lame support on ffmpeg (enhancement)

Reported by: vidrep Owned by: nobody
Priority: normal Milestone: Unscheduled
Component: Audio & Video/Codecs Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

Some applications, such as YouTube-dl are able to download and encode audio directly to mp3 using ffmpeg. Currently libmp3lame is not enabled in Haiku.

Change History (4)

comment:1 Changed 3 years ago by pulkomandy

I think ffmpeg own code would be used in this case? Did you hit an error and what was it?

comment:2 Changed 3 years ago by vidrep

Even when lame is installed on the system, you will still get the following error when attempting to encode to mp3 with ffmpeg: ERROR: libmp3lame >= 3.98.3 not found

comment:3 Changed 3 years ago by vidrep

Apparently it is a common issue. If you Google the error, there will be more than enough threads to read on various Linux forums.

comment:4 Changed 3 years ago by waddlesplash

Resolution: invalid
Status: newclosed

FFmpeg build config is maintained over at HaikuPorts; please file a ticket there.

Note: See TracTickets for help on using tickets.